Bug 770481 - Preupgrade fails to preserve grub install location
Preupgrade fails to preserve grub install location
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-26 18:30 EST by Tom Horsley
Modified: 2012-08-07 12:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:21:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2011-12-26 18:30:31 EST
Description of problem:

I just ran preupgrade to go from fedora 15 to fedora 16 on a system in which
I was using the Windows 7 boot loader to do my multi-booting of windows and
fedora. I had fedora installed to boot from the partition, not from the MBR.

After the preupgrade to fedora 16, the MBR had been taken over by grub. I didn't
really want to disturb the factory state of the MBR on this machine, but
I guess it is too late now :-).

Version-Release number of selected component (if applicable):

Whatever "yum install preupgrade" would have done on a fedora 15 system
on Mon, Dec 26, 2011. Since I've now upgraded to fedora 16, I'm not
sure what it installed back when it was fedora 15.

How reproducible:

Running preupgrade is sort of a 1 time thing.

Steps to Reproduce:
1. see above
2.
3.
  
Actual results:

MBR taken over.

Expected results:

Grub install should have been to the same root partition I had grub
installed on in fedora 15.

Additional info:

I don't know exactly how preupgrade works, but I get the impression it
is telling anaconda exactly what to do. Since selecting the grub install
location is something anaconda normally prompts for, seems like preupgrade
should be providing that information as well.
Comment 1 Fedora End Of Life 2012-08-07 12:21:05 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.